if IsAddOnLoaded("FuBar") then


local dewdrop = DewdropLib:GetInstance('1.0')
local tablet = TabletLib:GetInstance('1.0')

IziLifeTapFu = FuBarPlugin:GetInstance("1.2"):new({
	name          = IziLifeTapFuLocals.NAME,
	description   = IziLifeTapFuLocals.DESCRIPTION,
	version       = "1.0a",
	releaseDate   = "09-06-2006",
	aceCompatible = 103,
	author        = "Imo",
	email         = "",
	website       = "",
	category      = "others",
	db            = AceDatabase:new("IziLifeTapFuDB"),
	defaults      = {
		value = false,
	},
	cmd           = AceChatCmd:new(IziLifeTapFuLocals.COMMANDS),
	loc           = IziLifeTapFuLocals,
	hasIcon       = "Interface\\Icons\\Spell_Shadow_BurningSpirit",
	showOnRight   = false,
	updateTime    = 0.1,
})

	
function IziLifeTapFu:Enable()
	iltVis=false
	ilt_UpdateFrame()		
end

function IziLifeTapFu:UpdateData()
	-- calculate data you would use in both UpdateText() and UpdateTooltip() here.
	-- even if you only use one, it is typically better structure to calculate your data here anyway.
	if (iltMode == "PvP") then
		self.textValue = "PvP"
	else
		self.textValue = "PvE"
	end
end
	
function IziLifeTapFu:UpdateText()
	self:SetText(FuBarUtils.White(self.textValue))
end
	
function IziLifeTapFu:OnClick()
	if iltMode=="PvP" then
		iltMode="PvE"
		ilt_UpdateFrame ()
	else
		iltMode="PvP"
		ilt_UpdateFrame ()
	end
	self:Update()
end

function IziLifeTapFu:UpdateTooltip()
	tablet:AddCategory(
		'text', "IziLifeTap",
		'columns', 1,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'children', function()
			tablet:AddLine(
				'text', "for FuBar"
			)
		end
		)
	tablet:SetHint("Click to swap between PvE & PvP modes")
end

IziLifeTapFu:RegisterForLoad()

end